<?php get_header (); ?>


<div class="maincontent">


	<?php if ( have_posts () ) : ?>
				
		
		<ul class="postlist">
		
		<?php while ( have_posts () ) : the_post (); ?>
		
			<?php if ( ! empty ( $post -> post_parent ) ) : ?>
			
				<p class="heading"><a href="<?php echo get_permalink ( $post -> post_parent ); ?>" title="<?php esc_attr ( printf ( __ ( 'Вернуться к %s' ), get_the_title ( $post -> post_parent ) ) ); ?>" rel="gallery"><?php printf ( __ ( '<span class="meta-nav">&larr;</span> %s' ), get_the_title ( $post -> post_parent ) ); ?></a></p>
			
			<?php endif; ?>
		
			<li class="first">
		
				<?php
				
				$thetitle	= get_the_title ();
				
				$explode	= explode ( ' ', $thetitle );
				
				$count		= 0;
				
				$thetitle	= '<span class="gold">';
				
				foreach ( $explode as $value ) :
				
					$count ++;
					
					$thetitle .= ' ' . $value . ( $count == 3 ? '</span>' : '' );
				
				endforeach;
				
				$thetitle .= ( $count < 3 ? '</span>' : '' );
				
				?>
			
				<h1 class="title"><?php echo $thetitle; ?></h1>
				
				<p class="author red">Опубликовал <?php the_author (); ?> - <?php the_date (); ?> - <?php the_time (); ?></p>

				<?php if ( wp_attachment_is_image () ) : ?>
				
					<?php
					
					$attachments = array_values ( get_children ( array ( 'post_parent' => $post -> post_parent, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID' ) ) );
					
					foreach ( $attachments as $k => $attachment ) :
					
						if ( $attachment -> ID == $post -> ID ) : break; endif;
						
					endforeach;
					
					$k ++;
					
					// If there is more than 1 image attachment in a gallery
					if ( count ( $attachments ) > 1 ) :
					
						if ( isset ( $attachments[ $k ] ) ) :
						
							// get the URL of the next image attachment
							$next_attachment_url = get_attachment_link ( $attachments[ $k ] -> ID );
							
						else :
						
							// or get the URL of the first image attachment
							$next_attachment_url = get_attachment_link ( $attachments[ 0 ] -> ID );
							
						endif;
						
					else :
					
						// or, if there's only 1 image attachment, get the URL of the image
						$next_attachment_url = wp_get_attachment_url ();
					
					endif;
					
					?>
					
					<p class="attachment"><a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr ( get_the_title () ); ?>" rel="attachment"><?php $attachment_size = apply_filters ( 'attachment_size', 900 ); echo wp_get_attachment_image ( $post -> ID, array ( $attachment_size, 9999 ) ); // filterable image width with, essentially, no limit for image height. ?></a></p>
				
					<div id="nav-below" class="navigation">
				
						<div class="nav-previous"><?php previous_image_link ( false ); ?></div>
				
						<div class="nav-next"><?php next_image_link ( false ); ?></div>
				
					</div>
					<!-- #nav-below -->
					
				<?php else : ?>
				
					<a href="<?php echo wp_get_attachment_url (); ?>" title="<?php echo esc_attr ( get_the_title () ); ?>" rel="attachment"><?php echo basename ( get_permalink () ); ?></a>
				
				<?php endif; ?>
			
				<div class="summary postcontent">
					
					<?php the_content (); ?>
					
					<?php comments_template ( '', true ); ?>
			
				</div>
				<!-- summary -->
			
			</li>
		
		<?php endwhile; ?>
		
		</ul>
			
	
	<?php endif; ?>
			
	
</div>
<!-- maincontent -->
	
	
<?php get_sidebar (); ?>


<?php get_footer (); ?>