<?php get_header (); ?>


<div class="maincontent">


	<p class="heading"><?php printf ( __ ( 'Архив автора: %s' ), '<strong>' . get_the_author () . '</strong>' ); ?></p>

	<?php if ( get_the_author_meta ( 'description' ) ) : ?>

	<div class="desription">
						
		<h2 class="gold"><?php printf ( __ ( 'Об %s' ), get_the_author () ); ?></h2>

		<?php the_author_meta ( 'description' ); ?>

	</div>
	<!-- desription -->
	
	<?php endif; ?>

	<?php rewind_posts(); ?>

	<?php if ( ! have_posts () ) : ?>
	
		<div class="empty">
		
			
			<p class="emptytitle darkblue"><strong><?php _e ( 'Не найдено' ); ?></strong></p>
			
			<p><?php _e (  'Извините, но по Вашему запросу ничего не было найдено. Попробуйте воспользоваться поиском.', 'twentyten' ); ?></p>
	
		
		</div>
		<!-- empty -->
	
	<?php else : ?>
					
		
		<ul class="postlist">
		
		<?php get_template_part ( 'loop', 'author' ); ?>
		
		</ul>
	
		<?php if ( $wp_query -> max_num_pages > 1 ) : ?>
	
			<div id="nav-above" class="navigation">
		
				<div class="nav-previous"><?php next_posts_link ( __ ( '<span class="meta-nav">&larr;</span> Предыдущие записи', 'twentyten' ) ); ?></div>
		
				<div class="nav-next"><?php previous_posts_link ( __ ( 'Следующие записи <span class="meta-nav">&rarr;</span>', 'twentyten' ) ); ?></div>
	
			</div>
			<!-- #nav-above -->

		<?php endif; ?>

	
	<?php endif; ?>
			
	
</div>
<!-- maincontent -->
	
	
<?php get_sidebar (); ?>


<?php get_footer (); ?>